{{- define "common.Ingress" }}
  {{- template "common.utils.merge" (append . "common.Ingress.tpl") }}
{{- end }}

{{- define "common.Ingress.tpl" }}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ template "common.fullname" . }}
  {{- with .Values.ingress.extraAnnotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
  labels:
    {{- include "common.metadata.labels" . | nindent 4 }}
    {{- with .Values.ingress.extraLabels }}
      {{- toYaml | nindent 4 }}
    {{- end }}
spec:
  ingressClassName: {{ .Values.ingress.class }}
  {{- if .Values.ingress.tlsEnabled }}
  tls:
    - hosts:
        - {{ .Values.ingress.host }}
      {{- if .Values.ingress.tlsSecretName}}
      secretName: {{ .Values.ingress.tlsSecretName }}
      {{- end }}
  {{- end }}
{{- end }}

{{- define "common.Ingress.path" }}
{{- end }}
